const ByteVec = @import("./vec.zig").ByteVec;
const Diagnostics = @import("./diagnostics.zig").Diagnostics;
const Error = @import("./error.zig").Error;

pub fn wat2wasm(wat_bytes: []const u8, diag: ?*Diagnostics) !ByteVec {
    var result: ByteVec = undefined;
    const err = wasmtime_wat2wasm(wat_bytes.ptr, wat_bytes.len, &result);
    return Diagnostics.handleError(err, error.Wat2Wasm, result, diag);
}

extern "c" fn wasmtime_wat2wasm([*]const u8, usize, *ByteVec) ?*Error;
